> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/account/adjust-margin-balance/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Adjust position margin POST https://www.okx.com/api/v5/account/position/margin-balance Content-Type: application/json Increase or decrease the margin of an isolated position. Adjusting the margin changes the leverage and liquidation price of the position. Reference: https://okx-demo.ferndocs.com/api/api-reference/account/adjust-margin-balance ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Body (application/json) This endpoint expects an object. - `instId` (string, required) — Instrument ID. - `posSide` (enum, required) — Position side, default net. - Allowed values: `net`, `long`, `short` - `type` (enum, required) — add to increase margin, reduce to decrease margin. - Allowed values: `add`, `reduce` - `amt` (string, required) — Amount to be increased or decreased. - `ccy` (string, optional) — Currency, only applicable to isolated MARGIN. - `auto` (boolean, optional) — Automatic loan transfer. Only applicable to MARGIN positions. - `loanTrans` (boolean, optional) — Whether to make a loan transfer. Only applicable to cross MARGIN of Multi-currency/Portfolio margin. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5AccountPositionMarginBalancePostResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5AccountPositionMarginBalancePostResponsesContentApplicationJsonSchemaDataItems - `instId` (string, optional) — Instrument ID. - `posSide` (string, optional) — Position side. - `amt` (string, optional) — Amount adjusted. - `ccy` (string, optional) — Currency. - `leverage` (string, optional) — Leverage after adjustment. - `type` (string, optional) — Adjustment type. ## Examples **Request** ```json { "instId": "BTC-USDT-SWAP", "posSide": "net", "type": "add", "amt": "1" } ``` **Response** ```json { "code": "0", "msg": "", "data": [ { "instId": "BTC-USDT", "posSide": "net", "amt": "0.3", "ccy": "BTC", "leverage": "", "type": "add" } ] } ``` **SDK Code** ```python account_adjustMarginBalance_example import requests url = "https://www.okx.com/api/v5/account/position/margin-balance" payload = { "instId": "BTC-USDT-SWAP", "posSide": "net", "type": "add", "amt": "1" } headers = { "OK-ACCESS-KEY": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript account_adjustMarginBalance_example const url = 'https://www.okx.com/api/v5/account/position/margin-balance'; const options = { method: 'POST', headers: {'OK-ACCESS-KEY': '', 'Content-Type': 'application/json'}, body: '{"instId":"BTC-USDT-SWAP","posSide":"net","type":"add","amt":"1"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go account_adjustMarginBalance_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/account/position/margin-balance" payload := strings.NewReader("{\n \"instId\": \"BTC-USDT-SWAP\",\n \"posSide\": \"net\",\n \"type\": \"add\",\n \"amt\": \"1\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("OK-ACCESS-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby account_adjustMarginBalance_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/account/position/margin-balance") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["OK-ACCESS-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"instId\": \"BTC-USDT-SWAP\",\n \"posSide\": \"net\",\n \"type\": \"add\",\n \"amt\": \"1\"\n}" response = http.request(request) puts response.read_body ``` ```java account_adjustMarginBalance_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://www.okx.com/api/v5/account/position/margin-balance") .header("OK-ACCESS-KEY", "") .header("Content-Type", "application/json") .body("{\n \"instId\": \"BTC-USDT-SWAP\",\n \"posSide\": \"net\",\n \"type\": \"add\",\n \"amt\": \"1\"\n}") .asString(); ``` ```php account_adjustMarginBalance_example request('POST', 'https://www.okx.com/api/v5/account/position/margin-balance', [ 'body' => '{ "instId": "BTC-USDT-SWAP", "posSide": "net", "type": "add", "amt": "1" }', 'headers' => [ 'Content-Type' => 'application/json', 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp account_adjustMarginBalance_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/account/position/margin-balance"); var request = new RestRequest(Method.POST); request.AddHeader("OK-ACCESS-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"instId\": \"BTC-USDT-SWAP\",\n \"posSide\": \"net\",\n \"type\": \"add\",\n \"amt\": \"1\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift account_adjustMarginBalance_example import Foundation let headers = [ "OK-ACCESS-KEY": "", "Content-Type": "application/json" ] let parameters = [ "instId": "BTC-USDT-SWAP", "posSide": "net", "type": "add", "amt": "1" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/position/margin-balance")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```